org.jboss.jca.common.metadata.ds

## Class StatementImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.StatementImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.Statement, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class StatementImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.ds.Statement

  A StatementImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.Statement

      `org.jboss.jca.common.api.metadata.ds.Statement.Tag, org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatementImpl(java.lang.Boolean sharePreparedStatements, java.lang.Long preparedStatementsCacheSize, org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum trackStatements)` Create a new StatementImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getPreparedStatementsCacheSize()` Get the preparedStatementsCacheSize.
    `org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum` | `getTrackStatements()` Get the trackStatements.
    `int` | `hashCode()`
    `java.lang.Boolean` | `isSharePreparedStatements()` Get the sharePreparedStatements.
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementImpl

          public StatementImpl(java.lang.Boolean sharePreparedStatements,
                               java.lang.Long preparedStatementsCacheSize,
                               org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum trackStatements)
                        throws org.jboss.jca.common.api.validator.ValidateException

      Create a new StatementImpl.
      Parameters:
        `sharePreparedStatements` - sharePreparedStatements
        `preparedStatementsCacheSize` - preparedStatementsCacheSize
        `trackStatements` - trackStatements
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### isSharePreparedStatements

          public final java.lang.Boolean isSharePreparedStatements()

      Get the sharePreparedStatements.
      Specified by:
        `isSharePreparedStatements` in interface `org.jboss.jca.common.api.metadata.ds.Statement`
      Returns:
        the sharePreparedStatements.

    - #### getPreparedStatementsCacheSize

          public final java.lang.Long getPreparedStatementsCacheSize()

      Get the preparedStatementsCacheSize.
      Specified by:
        `getPreparedStatementsCacheSize` in interface `org.jboss.jca.common.api.metadata.ds.Statement`
      Returns:
        the preparedStatementsCacheSize.

    - #### getTrackStatements

          public final org.jboss.jca.common.api.metadata.ds.Statement.TrackStatementsEnum getTrackStatements()

      Get the trackStatements.
      Specified by:
        `getTrackStatements` in interface `org.jboss.jca.common.api.metadata.ds.Statement`
      Returns:
        the trackStatements.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)